Bug 1658553 - Cannot add new disk to VM when using image based to provision
Summary: Cannot add new disk to VM when using image based to provision
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: 6.6.0
Assignee: Ondřej Ezr
QA Contact: Sanket Jagtap
URL:
Whiteboard:
: 1658554 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 12:08 UTC by Satyajit Das
Modified: 2019-10-22 12:47 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-fog-vsphere-3.1.0-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:06 UTC
Target Upstream Version:


Attachments (Terms of Use)
foreman-debug (482.47 KB, application/x-xz)
2019-05-02 15:36 UTC, Chris Roberts
no flags Details
another disk attached successfully (21.99 KB, image/png)
2019-07-18 15:41 UTC, Sanket Jagtap
no flags Details


Links
System ID Priority Status Summary Last Updated
Github https://github.com/fog fog-vsphere pull 210 None None None 2020-05-11 19:31:29 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:21 UTC

Description Satyajit Das 2018-12-12 12:08:36 UTC
Description of problem:
Build: Satellite 6.4 latest

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. provision a VM from Image based provisioning 
2.  Add more disk to the VM and click submit 
3.

Actual results:
Failed to create a compute Esxi (VMware) instance SATELLITE.FQDN: InvalidDeviceSpec: Invalid configuration for device '2'.
 
RbVmomi::Fault: InvalidDeviceSpec: Invalid configuration for device '2'.

Expected results:

Vm should be provisioned


Additional info:

Errata was released to fix the bug, however, it's reoccurring.

https://access.redhat.com/errata/RHSA-2018:2927

Comment 3 Marek Hulan 2018-12-17 15:49:20 UTC
*** Bug 1658554 has been marked as a duplicate of this bug. ***

Comment 13 Chris Roberts 2019-05-02 15:36:41 UTC
Created attachment 1561762 [details]
foreman-debug

foreman-debug

Comment 15 Xin Guo 2019-05-29 13:59:42 UTC
Hi,

This is Xin, CSM for IKEA in Sweden and good to know the product team here. 
I got an escalation from the customer directly and they are checking the status for this bug. Since it is very critical for their deployment and it is the only showstopper here for quite a long time. Could you please provide an update for it? We need to communicate to the customer as soon as possible. 
Thanks for help. 
PS: related to case 02311449. 

Cheers,
Xin

Comment 16 Sanket Jagtap 2019-07-18 15:41:16 UTC
Satellite 6.6 snap 11:

Steps:
1. Create a VM using Image based provisioning
2. In the VM tab, under storage section, add a new controller


The VM was successfully provisioned with two disks under same controller. PFA


See Also: https://bugzilla.redhat.com/show_bug.cgi?id=1615733

Comment 17 Sanket Jagtap 2019-07-18 15:41:47 UTC
Created attachment 1591826 [details]
another disk attached successfully

Comment 21 errata-xmlrpc 2019-10-22 12:47:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.